
Installer - Refactor #29803

Tracker # 29746 (Closed): Merge hooks/ and katello/hooks into a single directory structure

Add all certs related hooks to hooks/ and scope them on Katello module being enabled

05/14/2020 12:32 AM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: William Clark   

Category: foreman-installer script   

Target version: 2.3.0   

Difficulty:  Fixed in Releases: 2.3.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/579,

https://github.com/theforeman/foreman-i

nstaller/pull/514,

https://github.com/theforeman/foreman-i

nstaller/pull/602

  

Description

Associated revisions

Revision e3c472e1 - 09/22/2020 12:50 PM - William Clark

Fixes #29803 - Move --certs* to hooks/

Revision 073aea3b - 10/23/2020 07:21 PM - Eric Helms

Refs #29803: if katello-certs-check fails the installer should exit

This behavior got changed when the certs hook was moved to the

hooks/ directory and would now only log an error message while

continuing the installer execution to run.

History

#1 - 06/02/2020 07:12 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to William Clark

- Pull request https://github.com/theforeman/foreman-installer/pull/514 added

#2 - 09/15/2020 03:53 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/579 added

#3 - 09/22/2020 12:50 PM - The Foreman Bot

- Fixed in Releases 2.3.0 added

#4 - 09/22/2020 01:01 PM - William Clark

- Status changed from Ready For Testing to Closed

Applied in changeset installer|e3c472e1fe08f69a260e1dfd246c7a68ebef8df6.

#5 - 10/23/2020 02:38 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/602 added

#6 - 11/30/2020 05:55 PM - Ewoud Kohl van Wijngaarden
https://projects.theforeman.org/projects/puppet-foreman/repository/installer/revisions/e3c472e1fe08f69a260e1dfd246c7a68ebef8df6


- Tracker changed from Feature to Refactor

- Category set to foreman-installer script

- Target version set to 2.3.0

- Triaged changed from No to Yes
